Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostAccount

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount

All Implemented Interfaces:
  `Idable`

public class ForpostAccount extends ForpostBase

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ForpostAccount.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForpostAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ForpostAccount.Builder`
  `builder()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `LocalDateTime`
  `getCreationDate()`
  `int`
  `getIsActive()`
  `int`
  `getMaxCameraCount()`
  `int`
  `getMaxLoginCount()`
  `String`
  `getName()`
  `ForpostAccount`
  `putValue(String name, Object value)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCreationDate(LocalDateTime creationDate)`
  `ForpostAccount`
  `setIsActive(int isActive)`
  `ForpostAccount`
  `setMaxCameraCount(int maxCameraCount)`
  `ForpostAccount`
  `setMaxLoginCount(int maxLoginCount)`
  `ForpostAccount`
  `setName(String name)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase

  `get, getData, getId, getInt, getString, getString, put, setData, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostAccount

    public ForpostAccount()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getContractTitle

    public String getContractTitle()

  - ### getCreationDate

    public LocalDateTime getCreationDate()

  - ### getIsActive

    public int getIsActive()

  - ### getMaxCameraCount

    public int getMaxCameraCount()

  - ### getMaxLoginCount

    public int getMaxLoginCount()

  - ### getName

    public String getName()

  - ### setContractId

    public void setContractId(int contractId)

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### setCreationDate

    public void setCreationDate(LocalDateTime creationDate)

  - ### setIsActive

    public ForpostAccount setIsActive(int isActive)

  - ### setMaxCameraCount

    public ForpostAccount setMaxCameraCount(int maxCameraCount)

  - ### setMaxLoginCount

    public ForpostAccount setMaxLoginCount(int maxLoginCount)

  - ### setName

    public ForpostAccount setName(String name)

  - ### putValue

    public ForpostAccount putValue(String name, Object value)

  - ### builder

    public static ForpostAccount.Builder builder()